diff --git python-tw2-jqplugins-ui/python-tw2-jqplugins-ui.spec python-tw2-jqplugins-ui/python-tw2-jqplugins-ui.spec.tmp
index 3e5ae1e1d2..be0a2d11b5 100644
--- python-tw2-jqplugins-ui/python-tw2-jqplugins-ui.spec
+++ python-tw2-jqplugins-ui/python-tw2-jqplugins-ui.spec.tmp
@@ -4,7 +4,7 @@
 
 Name:           python-tw2-jqplugins-ui
 Version:        2.2.0
-Release:        7%{?dist}
+Release:        8%{?dist}
 Summary:        jQuery UI for ToscaWidgets2
 
 Group:          Development/Languages
@@ -42,29 +42,37 @@ BuildRequires:  python-genshi
 
 
 # Runtime requirements
-Requires:       python-tw2-core
-Requires:       python-tw2-forms
-Requires:       python-tw2-jquery
 
-%description
-toscawidgets2 (tw2) aims to be a practical and useful widgets framework
-that helps people build interactive websites with compelling features, faster
-and easier. Widgets are re-usable web components that can include a template,
-server-side code and JavaScripts/CSS resources. The library aims to be:
-flexible, reliable, documented, performant, and as simple as possible.
+%global _description\
+toscawidgets2 (tw2) aims to be a practical and useful widgets framework\
+that helps people build interactive websites with compelling features, faster\
+and easier. Widgets are re-usable web components that can include a template,\
+server-side code and JavaScripts/CSS resources. The library aims to be:\
+flexible, reliable, documented, performant, and as simple as possible.\
+\
+jQuery is a fast and concise JavaScript Library that simplifies HTML\
+document traversing, event handling, animating, and Ajax interactions\
+for rapid web development. jQuery is designed to change the way that\
+you write JavaScript.\
+\
+jQuery UI provides abstractions for low-level interaction and animation,\
+advanced effects and high-level, themeable widgets, built on top of the\
+jQuery JavaScript Library, that you can use to build highly interactive\
+web applications.\
+\
+This module, tw2.jqplugins.ui, provides toscawidgets2 (tw2) access to\
+jQuery UI widgets.
 
-jQuery is a fast and concise JavaScript Library that simplifies HTML
-document traversing, event handling, animating, and Ajax interactions
-for rapid web development. jQuery is designed to change the way that
-you write JavaScript.
+%description %_description
 
-jQuery UI provides abstractions for low-level interaction and animation,
-advanced effects and high-level, themeable widgets, built on top of the
-jQuery JavaScript Library, that you can use to build highly interactive
-web applications.
+%package -n python2-tw2-jqplugins-ui
+Summary: %summary
+Requires:       python-tw2-jquery
+Requires:       python-tw2-forms
+Requires:       python-tw2-core
+%{?python_provide:%python_provide python2-tw2-jqplugins-ui}
 
-This module, tw2.jqplugins.ui, provides toscawidgets2 (tw2) access to
-jQuery UI widgets.
+%description -n python2-tw2-jqplugins-ui %_description
 
 %prep
 %setup -q -n %{modname}-%{version}
@@ -95,13 +103,17 @@ rm -f build/lib/tw2/jqplugins/__init__.py*
 #%check
 #PYTHONPATH=$(pwd) python setup.py test
 
-%files
+%files -n python2-tw2-jqplugins-ui
 %doc README.rst LICENSE.txt
 
 %{python_sitelib}/tw2/jqplugins/ui
 %{python_sitelib}/%{modname}-%{version}*
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 2.2.0-8
+- Python 2 subpackage renamed to python2-tw2-jqplugins-ui
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.2.0-7
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-tw2-polymaps/python-tw2-polymaps.spec python-tw2-polymaps/python-tw2-polymaps.spec.tmp
index 601fdff1b8..9f6a060c33 100644
--- python-tw2-polymaps/python-tw2-polymaps.spec
+++ python-tw2-polymaps/python-tw2-polymaps.spec.tmp
@@ -2,7 +2,7 @@
 
 Name:               python-tw2-polymaps
 Version:            0.3
-Release:            8%{?dist}
+Release:            9%{?dist}
 Summary:            Toscawidgets2 wrapper for polymaps - amazing javascript maps
 
 Group:              Development/Libraries
@@ -20,27 +20,34 @@ BuildRequires:      python-geojson
 BuildRequires:      python-markupsafe
 BuildRequires:      python-mako
 
-Requires:           python-tw2-core
-Requires:           python-geojson
-Requires:           python-markupsafe
-Requires:           python-mako
-
 
-%description
-tw2.polymaps is a toscawidgets2 (tw2) wrapper for polymaps.
+%global _description\
+tw2.polymaps is a toscawidgets2 (tw2) wrapper for polymaps.\
+\
+toscawidgets2 (tw2) aims to be a practical and useful widgets framework\
+that helps people build interactive websites with compelling features,\
+faster and easier. Widgets are re-usable web components that can include a\
+template, server-side code and JavaScripts/CSS resources. The library aims\
+to be: flexible, reliable, documented, performant, and as simple as\
+possible.\
+\
+polymaps is a JavaScript library for image- and vector-tiled maps using\
+SVG.\
+\
+This module, tw2.polymaps, provides toscawidgets2 (tw2) widgets that\
+render polymaps maps!
 
-toscawidgets2 (tw2) aims to be a practical and useful widgets framework
-that helps people build interactive websites with compelling features,
-faster and easier. Widgets are re-usable web components that can include a
-template, server-side code and JavaScripts/CSS resources. The library aims
-to be: flexible, reliable, documented, performant, and as simple as
-possible.
+%description %_description
 
-polymaps is a JavaScript library for image- and vector-tiled maps using
-SVG.
+%package -n python2-tw2-polymaps
+Summary: %summary
+Requires:           python-mako
+Requires:           python-markupsafe
+Requires:           python-geojson
+Requires:           python-tw2-core
+%{?python_provide:%python_provide python2-tw2-polymaps}
 
-This module, tw2.polymaps, provides toscawidgets2 (tw2) widgets that
-render polymaps maps!
+%description -n python2-tw2-polymaps %_description
 
 %prep
 %setup -q -n %{modname}-%{version}
@@ -56,12 +63,16 @@ rm -rf tw2/polymaps/static/polymaps/2.4.0/.DS_Store
 %install
 %{__python} setup.py install -O1 --skip-build --root=%{buildroot}
 
-%files
+%files -n python2-tw2-polymaps
 %doc README.rst LICENSE.txt
 %{python_sitelib}/tw2/polymaps
 %{python_sitelib}/%{modname}-%{version}*
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.3-9
+- Python 2 subpackage renamed to python2-tw2-polymaps
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.3-8
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-tw2-slideymenu/python-tw2-slideymenu.spec python-tw2-slideymenu/python-tw2-slideymenu.spec.tmp
index 690fd7b3c9..802e7e07d4 100644
--- python-tw2-slideymenu/python-tw2-slideymenu.spec
+++ python-tw2-slideymenu/python-tw2-slideymenu.spec.tmp
@@ -2,7 +2,7 @@
 
 Name:               python-tw2-slideymenu
 Version:            2.2
-Release:            8%{?dist}
+Release:            9%{?dist}
 Summary:            Toscawidgets2 wrapper for a "slidey" menu
 
 Group:              Development/Libraries
@@ -20,13 +20,20 @@ BuildRequires:      python-tw2-jquery
 BuildRequires:      python-tw2-jqplugins-ui
 BuildRequires:      python-mako
 
-Requires:           python-tw2-core
-Requires:           python-tw2-jquery
-Requires:           python-tw2-jqplugins-ui
+%global _description\
+tw2.slideymenu is a toscawidgets2 package with "slidey" menu.
+
+%description %_description
+
+%package -n python2-tw2-slideymenu
+Summary: %summary
 Requires:           python-mako
+Requires:           python-tw2-jqplugins-ui
+Requires:           python-tw2-jquery
+Requires:           python-tw2-core
+%{?python_provide:%python_provide python2-tw2-slideymenu}
 
-%description
-tw2.slideymenu is a toscawidgets2 package with "slidey" menu.
+%description -n python2-tw2-slideymenu %_description
 
 %prep
 %setup -q -n %{modname}-%{version}
@@ -40,12 +47,16 @@ rm -rf %{modname}.egg-info
 %install
 %{__python} setup.py install -O1 --skip-build --root=%{buildroot}
 
-%files
+%files -n python2-tw2-slideymenu
 %doc README.rst LICENSE.txt
 %{python_sitelib}/tw2/slideymenu
 %{python_sitelib}/%{modname}-%{version}*
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 2.2-9
+- Python 2 subpackage renamed to python2-tw2-slideymenu
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.2-8
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-tw-forms/python-tw-forms.spec python-tw-forms/python-tw-forms.spec.tmp
index cbda2c0d58..73da448b70 100644
--- python-tw-forms/python-tw-forms.spec
+++ python-tw-forms/python-tw-forms.spec.tmp
@@ -4,7 +4,7 @@
 
 Name:           python-tw-forms
 Version:        0.9.9
-Release:        13%{?dist}
+Release:        14%{?dist}
 Summary:        Web Widgets for building and validating forms in ToscaWidgets
 Group:          Development/Languages
 # The javascript for the calendar widget is licensed under LGPLv2.1+
@@ -16,14 +16,22 @@ BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 BuildArch:      noarch
 BuildRequires:  python-devel
 BuildRequires:  python-setuptools
-Requires:       python-toscawidgets >= 0.9.6
-Requires:       python-formencode >= 1.0.1
 
-%description
-tw.forms is a set of html and javascript widgets for the ToscaWidgets
-framework.  They give authors basic html form elements as building blocks
-for their own web pages and widgets.
+%global _description\
+tw.forms is a set of html and javascript widgets for the ToscaWidgets\
+framework.  They give authors basic html form elements as building blocks\
+for their own web pages and widgets.\
+
+
+%description %_description
 
+%package -n python2-tw-forms
+Summary: %summary
+Requires:       python-formencode >= 1.0.1
+Requires:       python-toscawidgets >= 0.9.6
+%{?python_provide:%python_provide python2-tw-forms}
+
+%description -n python2-tw-forms %_description
 
 %prep
 %setup -q -n %{srcname}-%{version}
@@ -43,12 +51,16 @@ rm -rf $RPM_BUILD_ROOT
 rm -rf $RPM_BUILD_ROOT
 
 
-%files
+%files -n python2-tw-forms
 %defattr(-,root,root,-)
 %{python_sitelib}/*
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.9.9-14
+- Python 2 subpackage renamed to python2-tw-forms
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.9-13
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-txamqp/python-txamqp.spec python-txamqp/python-txamqp.spec.tmp
index 1536835402..073f17824d 100644
--- python-txamqp/python-txamqp.spec
+++ python-txamqp/python-txamqp.spec.tmp
@@ -2,7 +2,7 @@
 
 Name:           python-%{upstream_name}
 Version:        0.7.0
-Release:        3%{?dist}
+Release:        4%{?dist}
 Summary:        A Python library for communicating with AMQP peers and brokers using Twisted
 
 License:        ASL 2.0
@@ -12,17 +12,25 @@ Source0:        https://files.pythonhosted.org/packages/source/t/txAMQP/txAMQP-%
 BuildArch:      noarch
 BuildRequires:  python2-devel
 BuildRequires:  python2-setuptools
-Requires:       python2-twisted
-Requires:       amqp
-
-%description
-txAMQP is a Python library for communicating with AMQP peers and brokers using
-Twisted.
 
-This project contains all the necessary code to connect, send and receive
-messages to/from an AMQP-compliant peer or broker (Qpid, OpenAMQ, RabbitMQ)
+%global _description\
+txAMQP is a Python library for communicating with AMQP peers and brokers using\
+Twisted.\
+\
+This project contains all the necessary code to connect, send and receive\
+messages to/from an AMQP-compliant peer or broker (Qpid, OpenAMQ, RabbitMQ)\
 using Twisted.
 
+%description %_description
+
+%package -n python2-%{upstream_name}
+Summary: %summary
+Requires:       amqp
+Requires:       python2-twisted
+%{?python_provide:%python_provide python2-%{upstream_name}}
+
+%description -n python2-%{upstream_name} %_description
+
 %package        thrift
 Summary:        Contributed Thrift libraries for Twisted
 Requires:       %{name} = %{version}-%{release}
@@ -43,7 +51,7 @@ sed -i '/^#!\/usr\/bin\/env python/,+1 d' src/txamqp/codec.py
 %install
 %{py2_install}
 
-%files
+%files -n python2-%{upstream_name}
 %doc LICENSE
 %{python2_sitelib}/%{upstream_name}
 %exclude %{python2_sitelib}/%{upstream_name}/contrib/thrift
@@ -53,6 +61,10 @@ sed -i '/^#!\/usr\/bin\/env python/,+1 d' src/txamqp/codec.py
 %{python2_sitelib}/%{upstream_name}/contrib/thrift
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.7.0-4
+- Python 2 subpackage renamed to python2-txamqp
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.0-3
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-txrequests/python-txrequests.spec python-txrequests/python-txrequests.spec.tmp
index 9dde77cf10..f467185af9 100644
--- python-txrequests/python-txrequests.spec
+++ python-txrequests/python-txrequests.spec.tmp
@@ -15,7 +15,7 @@
 
 Name:               python-txrequests
 Version:            0.9.2
-Release:            8%{?dist}
+Release:            9%{?dist}
 Summary:            Asynchronous Python HTTP for Humans
 
 Group:              Development/Libraries
@@ -36,14 +36,21 @@ BuildRequires:      python3-requests
 BuildRequires:      python3-twisted-core
 %endif
 
-Requires:           python-requests
-Requires:           python-twisted-core
+%global _description\
+This is a small add-on for the python requests HTTP library.  It makes use\
+twisted's ThreadPool, so that requests' API returns deferreds.\
+\
+The additional API and changes are minimal and strive to avoid surprises.
 
-%description
-This is a small add-on for the python requests HTTP library.  It makes use
-twisted's ThreadPool, so that requests' API returns deferreds.
+%description %_description
 
-The additional API and changes are minimal and strive to avoid surprises.
+%package -n python2-txrequests
+Summary: %summary
+Requires:           python-twisted-core
+Requires:           python-requests
+%{?python_provide:%python_provide python2-txrequests}
+
+%description -n python2-txrequests %_description
 
 %if 0%{?with_python3}
 %package -n python3-txrequests
@@ -101,7 +108,7 @@ pushd %{py3dir}
 popd
 %endif
 
-%files
+%files -n python2-txrequests
 %doc README.rst
 %license LICENSE
 %{python2_sitelib}/%{modname}/
@@ -116,6 +123,10 @@ popd
 %endif
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.9.2-9
+- Python 2 subpackage renamed to python2-txrequests
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.2-8
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-txsocksx/python-txsocksx.spec python-txsocksx/python-txsocksx.spec.tmp
index 8dcc4556aa..616590d4e5 100644
--- python-txsocksx/python-txsocksx.spec
+++ python-txsocksx/python-txsocksx.spec.tmp
@@ -2,7 +2,7 @@
 %global		oname txsocksx
 Name:		python-txsocksx
 Version:	1.15.0.2
-Release:	5%{?dist}
+Release:	6%{?dist}
 Summary:	Twisted client endpoints for SOCKS{4,4a,5}
 License:	MIT
 URL:		https://github.com/habnabit/txsocksx/
@@ -12,13 +12,21 @@ BuildArch:	noarch
 BuildRequires:	python2-devel
 BuildRequires:	python-sphinx
 BuildRequires:	python-twisted
-Requires:	python-twisted
-Requires:	python-parsley
 
-%description
-python-txsocksx is SOCKS4/4a and SOCKS5 client endpoints
+%global _description\
+python-txsocksx is SOCKS4/4a and SOCKS5 client endpoints\
 for Twisted 10.1 or greater.
 
+%description %_description
+
+%package -n python2-txsocksx
+Summary: %summary
+Requires:	python-parsley
+Requires:	python-twisted
+%{?python_provide:%python_provide python2-txsocksx}
+
+%description -n python2-txsocksx %_description
+
 %prep
 %setup -q -n %{oname}-%{commit}
 %patch0 -p1
@@ -45,13 +53,17 @@ PYTHONPATH=$(pwd)
 # %%{__python2} -m unittest -v test_client
 popd
 
-%files
+%files -n python2-txsocksx
 %doc COPYING README.rst
 %{_mandir}/man1/%{oname}.1*
 %{python2_sitelib}/%{oname}-%{version}-py2.7.egg-info
 %{python2_sitelib}/%{oname}/
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.15.0.2-6
+- Python 2 subpackage renamed to python2-txsocksx
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.15.0.2-5
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-txws/python-txws.spec python-txws/python-txws.spec.tmp
index 0b31ba6762..8733f2914a 100644
--- python-txws/python-txws.spec
+++ python-txws/python-txws.spec.tmp
@@ -13,7 +13,7 @@
 
 Name:             python-txws
 Version:          0.9.1
-Release:          8%{?dist}
+Release:          9%{?dist}
 Summary:          Twisted WebSockets wrapper
 
 Group:            Development/Languages
@@ -37,13 +37,20 @@ BuildRequires:    python3-twisted
 BuildRequires:    python3-six
 %endif
 
-Requires:         python-twisted-core
-Requires:         python-twisted-web
+%global _description\
+txWS (pronounced "Twisted WebSockets") is a small, short, simple library\
+for adding WebSockets server support to your favorite Twisted applications.
+
+%description %_description
+
+%package -n python2-txws
+Summary: %summary
 Requires:         python-six
+Requires:         python-twisted-web
+Requires:         python-twisted-core
+%{?python_provide:%python_provide python2-txws}
 
-%description
-txWS (pronounced "Twisted WebSockets") is a small, short, simple library
-for adding WebSockets server support to your favorite Twisted applications.
+%description -n python2-txws %_description
 
 %if 0%{?with_python3}
 %package -n python3-txws
@@ -96,7 +103,7 @@ cp -a . %{py3dir}
 #PYTHONPATH=$(pwd) trial tests.py
 # XXX - also, python3 tests?
 
-%files
+%files -n python2-txws
 %doc README.rst
 %{python2_sitelib}/%{modname}.py*
 %{python2_sitelib}/%{capname}-%{version}-*.egg-info
@@ -111,6 +118,10 @@ cp -a . %{py3dir}
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.9.1-9
+- Python 2 subpackage renamed to python2-txws
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.1-8
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-txzmq/python-txzmq.spec python-txzmq/python-txzmq.spec.tmp
index 1825fa253e..2b7556510f 100644
--- python-txzmq/python-txzmq.spec
+++ python-txzmq/python-txzmq.spec.tmp
@@ -12,7 +12,7 @@
 
 Name:             python-txzmq
 Version:          0.8.0
-Release:          2%{?dist}
+Release:          3%{?dist}
 Summary:          Twisted bindings for ZeroMQ
 
 Group:            Development/Languages
@@ -29,10 +29,6 @@ BuildRequires:    python2-zmq >= 13.0.0
 BuildRequires:    python-twisted-core
 BuildRequires:    python2-six
 
-Requires:         python2-zmq >= 13.0.0
-Requires:         python-twisted-core
-Requires:         python2-six
-
 %if 0%{?with_python3}
 BuildRequires:    python3-devel
 BuildRequires:    python3-setuptools
@@ -42,10 +38,21 @@ BuildRequires:    python3-twisted
 BuildRequires:    python3-six
 %endif
 
-%description
-txZMQ allows to integrate easily ZeroMQ sockets into Twisted event loop
+%global _description\
+txZMQ allows to integrate easily ZeroMQ sockets into Twisted event loop\
 (reactor).
 
+%description %_description
+
+%package -n python2-txzmq
+Summary: %summary
+Requires:         python2-six
+Requires:         python-twisted-core
+Requires:         python2-zmq >= 13.0.0
+%{?python_provide:%python_provide python2-txzmq}
+
+%description -n python2-txzmq %_description
+
 %if 0%{?with_python3}
 %package -n python3-txzmq
 Summary:          Twisted bindings for ZeroMQ
@@ -98,7 +105,7 @@ popd
 %py3_install
 %endif
 
-%files
+%files -n python2-txzmq
 %doc README.rst
 %license LICENSE.txt
 %{python2_sitelib}/txzmq/
@@ -113,6 +120,10 @@ popd
 %endif
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.8.0-3
+- Python 2 subpackage renamed to python2-txzmq
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.0-2
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-UcsSdk/python-UcsSdk.spec python-UcsSdk/python-UcsSdk.spec.tmp
index a45f28d5fa..55f43faf53 100644
--- python-UcsSdk/python-UcsSdk.spec
+++ python-UcsSdk/python-UcsSdk.spec.tmp
@@ -2,7 +2,7 @@
 
 Name:           python-%{package_name}
 Version:        0.8.2.5
-Release:        5%{?dist}
+Release:        6%{?dist}
 Summary:        Python SDK for Cisco UCS Manager
 
 License:        ASL 2.0
@@ -12,9 +12,17 @@ Source0:        https://pypi.python.org/packages/source/U/UcsSdk/UcsSdk-%{versio
 BuildArch:      noarch
 BuildRequires:  python2-devel
 
-%description
+%global _description\
 Python development kit for Cisco UCS
 
+%description %_description
+
+%package -n python2-ucssdk
+Summary: %summary
+%{?python_provide:%python_provide python2-ucssdk}
+
+%description -n python2-ucssdk %_description
+
 %prep
 %setup -q -n %{package_name}-%{version}
 
@@ -24,13 +32,17 @@ Python development kit for Cisco UCS
 %install
 %{__python2} setup.py install --skip-build --root %{buildroot}
 
-%files
+%files -n python2-ucssdk
 %{python2_sitelib}/%{package_name}/
 %{python2_sitelib}/%{package_name}*.egg-info
 %doc README.md
 %license LICENSE.txt
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.8.2.5-6
+- Python 2 subpackage renamed to python2-ucssdk
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.2.5-5
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-uinput/python-uinput.spec python-uinput/python-uinput.spec.tmp
index 8e36fc0bce..65ccdbbd3a 100644
--- python-uinput/python-uinput.spec
+++ python-uinput/python-uinput.spec.tmp
@@ -8,7 +8,7 @@
 
 Name:           python-uinput
 Version:        0.10.1
-Release:        13%{?dist}
+Release:        14%{?dist}
 Summary:        Pythonic API to the Linux uinput kernel module
 
 License:        GPLv3
@@ -29,10 +29,18 @@ BuildRequires:  python3-devel
 %filter_setup
 
 
-%description
-Python-uinput is Python interface to the Linux uinput kernel module
-which allows attaching userspace device drivers into kernel.
+%global _description\
+Python-uinput is Python interface to the Linux uinput kernel module\
+which allows attaching userspace device drivers into kernel.\
+
+
+%description %_description
 
+%package -n python2-uinput
+Summary: %summary
+%{?python_provide:%python_provide python2-uinput}
+
+%description -n python2-uinput %_description
 
 %if 0%{?with_python3}
 %package -n     python3-uinput
@@ -84,7 +92,7 @@ popd
 chmod a-x examples/*
 
 
-%files
+%files -n python2-uinput
 %doc COPYING NEWS README examples
 %{python_sitearch}/python_uinput-%{version}-py?.?.egg-info
 %{python_sitearch}/_libsuinput.so
@@ -101,6 +109,10 @@ chmod a-x examples/*
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.10.1-14
+- Python 2 subpackage renamed to python2-uinput
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.10.1-13
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-unicodecsv/python-unicodecsv.spec python-unicodecsv/python-unicodecsv.spec.tmp
index 64ab055dd0..79a123fa7d 100644
--- python-unicodecsv/python-unicodecsv.spec
+++ python-unicodecsv/python-unicodecsv.spec.tmp
@@ -8,7 +8,7 @@
 
 Name:           python-%{pypi_name}
 Version:        0.14.1
-Release:        8%{?dist}
+Release:        9%{?dist}
 Summary:        Drop-in replacement for Python 2.7's csv module which supports unicode strings
 License:        BSD
 URL:            https://github.com/jdunck/python-unicodecsv
@@ -19,14 +19,20 @@ BuildRequires:  python2-devel
 BuildRequires:  python-setuptools
 BuildRequires:  python-unittest2 >= 0.5.1
 
-Provides:       python2-%{pypi_name} = %{version}-%{release}
-
-%description
-The unicodecsv is a drop-in replacement for Python 2.7's
-csv module which supports unicode strings without a hassle.
-It is NOT a drop-in replacement for Python 3's csv module,
+%global _description\
+The unicodecsv is a drop-in replacement for Python 2.7's\
+csv module which supports unicode strings without a hassle.\
+It is NOT a drop-in replacement for Python 3's csv module,\
 see https://github.com/jdunck/python-unicodecsv/issues/65
 
+%description %_description
+
+%package -n python2-%{pypi_name}
+Summary: %summary
+%{?python_provide:%python_provide python2-%{pypi_name}}
+
+%description -n python2-%{pypi_name} %_description
+
 %if 0%{?with_python3}
 %package -n python3-%{pypi_name}
 Summary:        Drop-in replacement for Python 2.7's csv module which supports unicode strings
@@ -91,7 +97,7 @@ popd
 %endif
 
 
-%files
+%files -n python2-%{pypi_name}
 %doc README.rst
 %{python2_sitelib}/%{pypi_name}
 %{python2_sitelib}/%{pypi_name}-*.egg-info
@@ -104,6 +110,10 @@ popd
 %endif
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.14.1-9
+- Python 2 subpackage renamed to python2-unicodecsv
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.14.1-8
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-unicodenazi/python-unicodenazi.spec python-unicodenazi/python-unicodenazi.spec.tmp
index f8d1a02acf..554af1d851 100644
--- python-unicodenazi/python-unicodenazi.spec
+++ python-unicodenazi/python-unicodenazi.spec.tmp
@@ -5,7 +5,7 @@
 
 Name:           python-%{modname}
 Version:        1.1
-Release:        11%{?dist}
+Release:        12%{?dist}
 Summary:        Module that finds unicode/bytestring comparisons and other problems
 
 Group:          Development/Languages
@@ -20,18 +20,26 @@ BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 BuildArch:      noarch
 BuildRequires:  python2-devel
 
-%description
-A common source of unicode issues in python2 is that code mixes str and unicode
-and is valid for the cases the author tests for (because they only test with
-ASCII) but then throws an error when the code is used with non-ASCII strings.
-
-If enabled unicodenazi will complain when this mixing of unicode and byte str
-occurs.  It's annoying as hell, has a huge runtime impact on performance, and
-will also complain about most of the stuff in the Python standard library.  But
-it will point out some areas of your code that may traceback in python2 when
-given different data and make it easier to migrate to python3 where unicode and
+%global _description\
+A common source of unicode issues in python2 is that code mixes str and unicode\
+and is valid for the cases the author tests for (because they only test with\
+ASCII) but then throws an error when the code is used with non-ASCII strings.\
+\
+If enabled unicodenazi will complain when this mixing of unicode and byte str\
+occurs.  It's annoying as hell, has a huge runtime impact on performance, and\
+will also complain about most of the stuff in the Python standard library.  But\
+it will point out some areas of your code that may traceback in python2 when\
+given different data and make it easier to migrate to python3 where unicode and\
 bytes no longer interoperate.
 
+%description %_description
+
+%package -n python2-%{modname}
+Summary: %summary
+%{?python_provide:%python_provide python2-%{modname}}
+
+%description -n python2-%{modname} %_description
+
 %prep
 %setup -q -n %{srcname}-%{version}
 cp %{SOURCE1} .
@@ -49,13 +57,17 @@ rm -rf %{buildroot}
 rm -rf %{buildroot}
 
 
-%files
+%files -n python2-%{modname}
 %defattr(-,root,root,-)
 %doc README LICENSE
 %{python_sitelib}/*
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.1-12
+- Python 2 subpackage renamed to python2-unicodenazi
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.1-11
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-unidecode/python-unidecode.spec python-unidecode/python-unidecode.spec.tmp
index ceb8d6213c..926f33e335 100644
--- python-unidecode/python-unidecode.spec
+++ python-unidecode/python-unidecode.spec.tmp
@@ -2,7 +2,7 @@
 
 Name:		python-unidecode
 Version:	0.04.16
-Release:	9%{?dist}
+Release:	10%{?dist}
 Summary:	US-ASCII transliterations of Unicode text
 
 Group:		Development/Libraries
@@ -17,11 +17,19 @@ BuildRequires: python3-devel
 %endif
 
 
-%description
-This is a python port of Text::Unidecode Perl module. It provides a function,
-'unidecode(...)' that takes Unicode data and tries to represent it in ASCII
+%global _description\
+This is a python port of Text::Unidecode Perl module. It provides a function,\
+'unidecode(...)' that takes Unicode data and tries to represent it in ASCII\
 characters.
 
+%description %_description
+
+%package -n python2-unidecode
+Summary: %summary
+%{?python_provide:%python_provide python2-unidecode}
+
+%description -n python2-unidecode %_description
+
 %if 0%{?fedora} || 0%{?rhel} > 7
 %package -n python3-unidecode
 Summary:	US-ASCII transliterations of Unicode text
@@ -56,7 +64,7 @@ pushd %{py3dir}
 popd
 %endif
 
-%files
+%files -n python2-unidecode
 %doc README ChangeLog
 %{python_sitelib}/unidecode/
 %{python_sitelib}/*.egg-info
@@ -70,6 +78,10 @@ popd
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.04.16-10
+- Python 2 subpackage renamed to python2-unidecode
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.04.16-9
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
